GET /v2/apps/{app_id}/components/{component_name}/logs

digitalocean.com

Summary: Retrieve Active Deployment Logs
Operation ID: apps_get_logs_active_deployment
Auth: unknown
Description

Retrieve the logs of the active deployment if one exists. The response will include links to either real-time logs of an in-progress or active deployment or archived logs of a past deployment. Note log_type=BUILD logs will return logs associated with the current active deployment (being served). To view build logs associated with in-progress build, the query must explicitly reference the deployment id.

Parameters (5)

app_id (string, path, required)

The app ID

component_name (string, path, required)

An optional component name. If set, logs will be limited to this component only.

follow (boolean, query, optional)

Whether the logs should follow live updates.

pod_connection_timeout (string, query, optional)

An optional time duration to wait if the underlying component instance is not immediately available. Default: `3m`.

type (string, query, required, default: UNSPECIFIED)

The type of logs to retrieve - BUILD: Build-time logs - DEPLOY: Deploy-time logs - RUN: Live run-time logs

Constraints: {'enum': ['UNSPECIFIED', 'BUILD', 'DEPLOY', 'RUN']}

No probe data for this endpoint yet.